Update Workspace Invitation
curl --request PATCH \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/invitations/{invitationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/invitations/{invitationId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/invitations/{invitationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"invitation": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"workspaceId": "<string>",
"type": "ADMIN"
}
}Invitations
Update Workspace Invitation
Update a workspace invitation.
PATCH
/
v3
/
workspaces
/
{workspaceId}
/
invitations
/
{invitationId}
Update Workspace Invitation
curl --request PATCH \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/invitations/{invitationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/invitations/{invitationId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/invitations/{invitationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"invitation": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"workspaceId": "<string>",
"type": "ADMIN"
}
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
ADMIN, MEMBER, GUEST Response
200 - application/json
Default Response
Show child attributes
Show child attributes